FieldEdge Open API
DocsAPIs
DocsAPIs
  1. Customer
  • Lead
    • Creates a new lead with customer details, appointment preferences, and service information.
      POST
    • Fetches lead details based on the provided lead identifier.
      GET
  • Customer
    • Creates a new customer
      POST
    • Search customers by phone, email, or first name
      GET
    • Search customers based on address details.
      GET
    • Get customer details by ID
      GET
    • Updates an existing customer
      PUT
  • Webhook
    • Registers a new webhook endpoint to receive event notifications.
      POST
DocsAPIs
DocsAPIs
  1. Customer

Creates a new customer

POST
/v1/customers
Creates a new customer record with primary contact details, address information, preferred contact methods, and marketing opt-in preferences.

Request

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Customer created successfully
Body

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://dev.api.fieldedge.com/leads/v1/customers' \
--header 'Content-Type: application/json' \
--data-raw '{
    "firstName": "Sam",
    "lastName": "Wilson",
    "companyName": "Stark Industries",
    "email": "sam.wilson@test.com",
    "phoneNumber": "+14155552671",
    "preferredContactMethods": [
        "Email",
        "Phone"
    ],
    "address1": "123 Main St",
    "address2": "Suite 100",
    "city": "Dallas",
    "state": "TX",
    "zip": "75001",
    "marketingEmailOptIn": true,
    "marketingSmsOptIn": false
}'
Response Response Example
201 - response
{
    "data": {
        "customerId": "9f1a6b1c-3a3e-4b91-9a2f-2c6a9fbb1234",
        "createdAt": "2026-02-09T10:15:30Z"
    }
}
Modified at 2026-02-26 12:18:17
Previous
Fetches lead details based on the provided lead identifier.
Next
Search customers by phone, email, or first name
Built with